// Programmed by Seung S. yang
// e-mail: syang@cs.kent.edu

import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;

import java.awt.*;

class LeftPanel extends JPanel {
	public LeftPanel() {
		// set size
		Dimension leftPanelDimension = new Dimension(Globals.leftPanelWidth, Globals.mainWindowHeight);
		setPreferredSize(leftPanelDimension);

		// set layout and border
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		setBorder(BorderFactory.createEtchedBorder());

		// make rigid panel
		add(Box.createRigidArea(new Dimension(Globals.leftPanelWidth, 50)));

		// make run panel
		Globals.runPanel = new RunPanel();
		add(Globals.runPanel);
		
		// make config panel
		Globals.configPanel = new ConfigPanel();
		add(Globals.configPanel);

		// make bit rate panel
		Globals.bitRatePanel = new BitRatePanel();
		add(Globals.bitRatePanel);

		// make stress panel
		Globals.stressPanel = new StressPanel();
		add(Globals.stressPanel);

		// hide not initial showings
		Globals.configPanel.Hide();
		Globals.bitRatePanel.Hide();
		Globals.stressPanel.Hide();

		// make glue
		add(Box.createVerticalGlue());
		// make nav and status panel
		NavNStatusPanel navNStatusPanel = new NavNStatusPanel();
		add(navNStatusPanel);
	}
}
	