// Programmed by Seung S. Yang
// e-mail: syang@cs.kent.edu

import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;

import java.awt.*;

class RightPanel extends JPanel {
	public RightPanel() {
		// set size
		Dimension rightPanelDimension = new Dimension(Globals.rightPanelWidth, Globals.mainWindowHeight);
		setPreferredSize(rightPanelDimension);

		// set layout and border
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		setBorder(BorderFactory.createEtchedBorder());

		// make rigid area
		add(Box.createRigidArea(new Dimension(Globals.rightPanelWidth - 2*Globals.marginWidth, 50)));

		// make deploy map panel
		Globals.deployMapPanel = new DeployMapPanel();
		add(Globals.deployMapPanel);

		// make glue
		add(Box.createVerticalGlue());
		
		// make dixee status panel
		Globals.dixeeStatusPanel = new DixeeStatusPanel();
		add(Globals.dixeeStatusPanel);
	}

	public void Show() {
		setVisible(true);
	}

	public void Hide() {
		setVisible(false);
	}
}

class DixeeStatusPanel extends JPanel {
	JLabel dixeeStatusLabels[] = new JLabel[5];
	private static ImageIcon dixeeStatusIcons[][] = new ImageIcon[5][2];
	public DixeeStatusPanel() {
		// set size
		Dimension dixeeStatusDimension = new Dimension(Globals.rightPanelWidth - 2*Globals.marginWidth, Globals.dixeePanelHeight);
		setPreferredSize(dixeeStatusDimension);
		setMinimumSize(dixeeStatusDimension);
		setMaximumSize(dixeeStatusDimension);

		// get image dixeeStatusIcons
		dixeeStatusIcons[0][0] = new ImageIcon("images/dixeeauth0.gif");
		dixeeStatusIcons[0][1] = new ImageIcon("images/dixeeauth1.gif");
		dixeeStatusIcons[1][0] = new ImageIcon("images/loadconfig0.gif");
		dixeeStatusIcons[1][1] = new ImageIcon("images/loadconfig1.gif");
		dixeeStatusIcons[2][0] = new ImageIcon("images/resourceauth0.gif");
		dixeeStatusIcons[2][1] = new ImageIcon("images/resourceauth1.gif");
		dixeeStatusIcons[3][0] = new ImageIcon("images/distribution0.gif");
		dixeeStatusIcons[3][1] = new ImageIcon("images/distribution1.gif");
		dixeeStatusIcons[4][0] = new ImageIcon("images/ready0.gif");
		dixeeStatusIcons[4][1] = new ImageIcon("images/ready1.gif");
		
		// add status labels.
		setBorder(BorderFactory.createTitledBorder("Status"));
		dixeeStatusLabels[0] = new JLabel(dixeeStatusIcons[0][0]);
		add(dixeeStatusLabels[0]);
		dixeeStatusLabels[1] = new JLabel(dixeeStatusIcons[1][0]);
		add(dixeeStatusLabels[1]);
		dixeeStatusLabels[2] = new JLabel(dixeeStatusIcons[2][0]);
		add(dixeeStatusLabels[2]);
		dixeeStatusLabels[3] = new JLabel(dixeeStatusIcons[3][0]);
		add(dixeeStatusLabels[3]);
		dixeeStatusLabels[4] = new JLabel(dixeeStatusIcons[4][1]);
		add(dixeeStatusLabels[4]);
	}

	protected void Update() {
		Thread thread = new Thread();
		try {
			thread.sleep(1000);
		} catch (InterruptedException e) {
		}

		dixeeStatusLabels[4].setIcon(dixeeStatusIcons[4][0]);
		dixeeStatusLabels[0].setIcon(dixeeStatusIcons[0][1]);
		update(getGraphics());
		try {
			thread.sleep(1000);
		} catch (InterruptedException e) {
		}

		dixeeStatusLabels[0].setIcon(dixeeStatusIcons[0][0]);
		dixeeStatusLabels[1].setIcon(dixeeStatusIcons[1][1]);
		update(getGraphics());
		try {
			thread.sleep(1000);
		} catch (InterruptedException e) {
		}

		dixeeStatusLabels[1].setIcon(dixeeStatusIcons[1][0]);
		dixeeStatusLabels[2].setIcon(dixeeStatusIcons[2][1]);
		update(getGraphics());
		try {
			thread.sleep(1000);
		} catch (InterruptedException e) {
		}

		dixeeStatusLabels[2].setIcon(dixeeStatusIcons[2][0]);
		dixeeStatusLabels[3].setIcon(dixeeStatusIcons[3][1]);
		update(getGraphics());
		try {
			thread.sleep(1000);
		} catch (InterruptedException e) {
		}

		dixeeStatusLabels[3].setIcon(dixeeStatusIcons[3][0]);
		dixeeStatusLabels[4].setIcon(dixeeStatusIcons[4][1]);
		update(getGraphics());
	}

}
