// Programmed by Seung S. Yang
// e-mail: syang@cs.kent.edu

import javax.swing.BoxLayout;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;

import java.awt.*;
import java.awt.event.*;

import java.lang.*;

class Splash{
	Window splashWindow;
	int splashWindowWidth;
	int splashWindowHeight;
	static boolean changed = false;
	public Splash() {
		JFrame frame = new JFrame();
		splashWindow = new Window(frame);
		splashWindow.setLayout(new BoxLayout(splashWindow, BoxLayout.Y_AXIS));

		// set background to black
		splashWindow.setBackground(Color.black);

		// make image label
		ImageIcon imageIcon = new ImageIcon("images/splash.gif");
		JLabel imageLabel = new JLabel(imageIcon);
		Dimension dimension = new Dimension(imageIcon.getIconWidth(), imageIcon.getIconHeight());
		imageLabel.setPreferredSize(dimension);
		imageLabel.setAlignmentX(Component.CENTER_ALIGNMENT);
		splashWindow.add(imageLabel);

		// make text label
		JLabel textLabel = new JLabel("Programmed by Seung S. Yang", JLabel.RIGHT);
		textLabel.setForeground(Color.darkGray);
		splashWindow.add(textLabel);

		// set splash size
		splashWindowWidth = imageIcon.getIconWidth() + 30;
		splashWindowHeight = imageIcon.getIconHeight() + 20;
		// set location of splash in the center of screen
		Toolkit toolkit = Toolkit.getDefaultToolkit();
		Dimension screenSize = toolkit.getScreenSize();
		splashWindow.setLocation(screenSize.width/2 - splashWindowWidth/2, screenSize.height/2 - splashWindowHeight/2);
		splashWindow.setSize(splashWindowWidth, splashWindowHeight);

		splashWindow.setVisible(true);

		try {
			Thread.sleep(3000);
		} catch (InterruptedException e) {
		};

	}

	public void Show() {
		if (!changed) {
			// add e-mail label
			JLabel emailLabel = new JLabel("e-mail: syang@cs.kent.edu");
			emailLabel.setForeground(Color.darkGray);
			splashWindow.add(emailLabel);
			// add ok button
			JButton okButton = new JButton("Ok");
			okButton.setBackground(Color.black);
			okButton.setForeground(Color.lightGray);
			okButton.setAlignmentX(Component.CENTER_ALIGNMENT);
			okButton.setFont(new Font(okButton.getFont().getFontName(), okButton.getFont().getStyle(), 10));
			OkButtonAction okButtonAction = new OkButtonAction();
			okButton.addActionListener(okButtonAction);
			splashWindow.add(okButton);

			// set splash size
			splashWindowHeight += 50;

			// set location of splash in the center of screen
			Toolkit toolkit = Toolkit.getDefaultToolkit();
			Dimension screenSize = toolkit.getScreenSize();
			splashWindow.setLocation(screenSize.width/2 - splashWindowWidth/2, screenSize.height/2 - splashWindowHeight/2);
			splashWindow.setSize(splashWindowWidth, splashWindowHeight);
			changed = true;
		}
		splashWindow.setVisible(true);
	}

	public void Hide() {
		splashWindow.setVisible(false);
	}
}

class OkButtonAction implements ActionListener {
	public void actionPerformed(ActionEvent e) {
		Globals.splash.Hide();
	}
}
