// Programmed by Seung S. Yang
// e-mail: syang@cs.kent.edu

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

import java.awt.*;
import java.awt.event.*;

import java.io.*;

class SonetButtonAction implements ActionListener {
	public void actionPerformed(ActionEvent e) {
		try {
			Runtime.getRuntime().exec("java ControlCenter");
		} catch (IOException eRun) {
			System.err.println(eRun);
		}
	}
}

class cc {
	public static void main(String[] args) {
		JFrame frame = new JFrame("KSU VSM Control Center Chooser");
		frame.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});
		frame.getContentPane().setLayout(new BoxLayout(frame.getContentPane(), BoxLayout.Y_AXIS));

		// add rigid area
		frame.getContentPane().add(Box.createRigidArea(new Dimension(100,30)));

		// add title label
		JLabel titleLabel = new JLabel("Choose a control program", JLabel.CENTER);
		titleLabel.setFont(new Font("TimesRoman", Font.ITALIC | Font.BOLD, 26));
		titleLabel.setAlignmentX(Component.CENTER_ALIGNMENT);
		frame.getContentPane().add(titleLabel);

		// add rigid area
		frame.getContentPane().add(Box.createRigidArea(new Dimension(100,10)));

		// add sonet button
		JButton sonetButton = new JButton("SONET: Self-Organizing Network Embedded Transcoder");
		sonetButton.addActionListener(new SonetButtonAction());

		// add temporary button
		JButton tmpButton = new JButton("More control programs will be added");
		tmpButton.setEnabled(false);
		tmpButton.setPreferredSize(sonetButton.getPreferredSize());

		// make a panel for buttons
		JPanel panel = new JPanel();
		panel.add(sonetButton);
		panel.add(tmpButton);

		frame.getContentPane().add(panel);
		frame.setSize(400,220);
		frame.setVisible(true);
	}

		
}
